# $Revision: 1.3.2.1 $, $Date: 2003/03/13 00:56:47 $
#
# Conditional build:
# _without_tests - do not perform "make test"
%include	/usr/lib/rpm/macros.perl
%define		pdir	Crypt
%define		pnam	SmbHash
Summary:	Crypt::SmbHash Perl module - generate LM/NT hashes like smbpasswd
Summary(pl):	Modu Perla Crypt::SmbHash - generujcy skrty LM/NT takie jak smbpasswd
Name:		perl-Crypt-SmbHash
Version:	0.02
Release:	2
License:	GPL
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	perl >= 5.6
BuildRequires:	rpm-perlprov >= 4.0.2-104
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module provides functions to generate LM/NT hashes used in
Samba's 'password' files, like smbpasswd.

%description -l pl
Ten modu udostpnia funkcje do generowania skrtw LM/NT, uywanych
w plikach z hasami dla Samby - tak, jak robi to program smbpasswd.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL
%{__make}
%{!?_without_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_sitelib}/Crypt/SmbHash.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-Crypt-SmbHash.spec,v $
Revision 1.3.2.1  2003/03/13 00:56:47  ankry
- BR: new rpm (new perl.prov), rel++

Revision 1.3  2003/02/25 00:37:45  radek
- use the __perl macro

Revision 1.2  2003/02/18 15:29:49  ankry
- massive attack: change CPAN URLs

Revision 1.1  2002/08/02 20:06:32  qboosh
- new

